WinStd Additional templates and function helpers for Microsoft Windows using Standard C++ classes

Classes | Functions | Variables
Event Tracing for Windows API

Integrates WinStd classes with Event Tracing for Windows API. More...

## Classes
class | winstd::event_data
| EVENT_DATA_DESCRIPTOR wrapper. More...
class | winstd::event_rec
| EVENT_RECORD wrapper. More...
class | winstd::event_provider
| ETW event provider. More...
class | winstd::event_session
| ETW session. More...
class | winstd::event_trace
| ETW trace. More...
class | winstd::event_trace_enabler
| Helper class to enable event provider in constructor and disables it in destructor. More...
class | winstd::event_fn_auto
| Helper class to write an event on entry/exit of scope. More...
class | winstd::event_fn_auto_ret< T >
| Helper template to write an event on entry/exit of scope with one parameter (typically result). More...

## Functions
static _In_ ULONG | _In_reads_opt_ (TdhContextCount) PTDH_CONTEXT pTdhContext
static _In_ ULONG _In_ ULONG | _In_reads_ (PropertyDataCount) PPROPERTY_DATA_DESCRIPTOR pPropertyData
| if (ulResult==ERROR_SUCCESS)

## Variables
static _In_ ULONG | TdhContextCount
static _In_ ULONG _In_ ULONG | PropertyDataCount
static _In_ ULONG _In_ ULONG _Inout_ std::vector< _Ty, _Ax > & | aData
| ulResult = TdhGetPropertySize(pEvent, TdhContextCount, pTdhContext, PropertyDataCount, pPropertyData, &ulSize)
static _In_ ULONG _Out_ std::unique_ptr< TRACE_EVENT_INFO > & | info
ULONG | ulSize = sizeof(szBuffer)
static _In_ LPWSTR | pMapName

## Detailed Description

Integrates WinStd classes with Event Tracing for Windows API.

## Variable Documentation

## ◆ aData

_In_ ULONG _In_ ULONG _Inout_ std::vector<_Ty, _Ax>& aData

Initial value:
{
ULONG ulSize, ulResult

## ◆ info

static _In_ LPWSTR _Inout_ std::unique_ptr< EVENT_MAP_INFO > & info

Initial value:
{
BYTE szBuffer[WINSTD_STACK_BUFFER_BYTES]
WINSTD_STACK_BUFFER_BYTES
#define WINSTD_STACK_BUFFER_BYTES
Size of the stack buffer in bytes used for initial system function call.
Definition: Common.h:80